@echo off
rem Runs end-to-end export/build/deploy process
set "errorlevel="
set ant=call %ANT_HOME%\bin\ant -Dbasedir=%~dp0
set build_script=%~dp0\dp-build-deploy.xml
rem note that we're saving config export in a temp directory since these files would already be checked in
%ant% -f %build_script% export.crypto export.services export.domain.definition -Denv=devtest.dev -Denv=devtest.dev -Dservices.config.home=dpconfigs-temp %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

%ant% -f %build_script% clean.deploy.services -Denv=devtest.test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

%ant% -f %build_script% deploy.services.copy -Denv=devtest.test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

%ant% -f %build_script% rollback -Denv=devtest.test %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

%ant% -f %build_script% clean.deploy.domain -Denv=devtest.preprod %*
if %errorlevel% neq 0 (exit /b %errorlevel%)

%ant% -f %build_script% deploy.2devices %*