@echo off
call dpbuddy status -class Version
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy serviceStatus -domainPatterns ".*"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertStatus -class="LoadBalancerStatus2" -expression="(Group!='test-group' || Health=='up')"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertState -classPattern "(WSGateway|XMLFi.*)" -activeService
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy assertOpenPorts -ports="9090, 5550" -domain default
if %errorlevel% neq 0 (exit /b %errorlevel%)

